Notifications¶
Endpoints related to notifications.
- GET /notifications/¶
- Query Parameters:
limit (integer) – Maximum number of resources to return
offset (integer) – Number of resources to skip
sort (string) – Sort order (prefix with ‘-’ for descending)
- Status Codes:
200 OK – Successful response with list of resources
400 Bad Request – notification-failed: An error occurred while trying to send the notification unknown-template
- POST /notifications/¶
- Status Codes:
201 Created – Resource created successfully
400 Bad Request – notification-failed: An error occurred while trying to send the notification unknown-template
- Response Headers:
Location – URI of the created resource
- GET /notifications/{uuid}/¶
- Parameters:
uuid (string) – The UUID of the resource
- Status Codes:
200 OK – Successful response
400 Bad Request – notification-failed: An error occurred while trying to send the notification unknown-template
- GET /bureau-notification/¶
- Query Parameters:
limit (integer) – Maximum number of resources to return
offset (integer) – Number of resources to skip
sort (string) – Sort order (prefix with ‘-’ for descending)
- Status Codes:
200 OK – Successful response with list of resources
404 Not Found – The requested sample cannot be found.
405 Method Not Allowed – MethodNotAllowed
- POST /bureau-notification/¶
- Status Codes:
201 Created – Resource created successfully
404 Not Found – The requested sample cannot be found.
405 Method Not Allowed – MethodNotAllowed
- Response Headers:
Location – URI of the created resource
- GET /bureau-notification/{uuid}/¶
- Parameters:
uuid (string) – The UUID of the resource
- Status Codes:
200 OK – Successful response
404 Not Found – The requested sample cannot be found.
405 Method Not Allowed – MethodNotAllowed
- PUT /bureau-notification/{uuid}/¶
- Parameters:
uuid (string) – The UUID of the resource
- Status Codes:
204 No Content – Resource updated successfully
404 Not Found – The requested sample cannot be found.
405 Method Not Allowed – MethodNotAllowed
- DELETE /bureau-notification/{uuid}/¶
- Parameters:
uuid (string) – The UUID of the resource
- Status Codes:
204 No Content – Resource deleted successfully
404 Not Found – The requested sample cannot be found.
405 Method Not Allowed – MethodNotAllowed
- GET /threads-messages/¶
- Query Parameters:
limit (integer) – Maximum number of resources to return
offset (integer) – Number of resources to skip
sort (string) – Sort order (prefix with ‘-’ for descending)
- Status Codes:
200 OK – Successful response with list of resources
404 Not Found – Some of the requested data cannot be found.
- POST /threads-messages/¶
- Status Codes:
201 Created – Resource created successfully
404 Not Found – Some of the requested data cannot be found.
- Response Headers:
Location – URI of the created resource
- GET /threads-messages/{uuid}/¶
- Parameters:
uuid (string) – The UUID of the resource
- Status Codes:
200 OK – Successful response
404 Not Found – Some of the requested data cannot be found.
- PUT /threads-messages/{uuid}/¶
- Parameters:
uuid (string) – The UUID of the resource
- Status Codes:
204 No Content – Resource updated successfully
404 Not Found – Some of the requested data cannot be found.
- DELETE /threads-messages/{uuid}/¶
- Parameters:
uuid (string) – The UUID of the resource
- Status Codes:
204 No Content – Resource deleted successfully
404 Not Found – Some of the requested data cannot be found.
- POST /contact-us/¶
- Status Codes:
201 Created – Resource created successfully
400 Bad Request – Support request sending failed: An error occurred while trying to send this support request
- Response Headers:
Location – URI of the created resource